package com.cool.store.enums.notice;

/**
 * @Author suzhuhong
 * @Date 2025/8/26 15:43
 * @Version 1.0
 */
public enum SceneEnum {

    SUBMIT_ORDER(0, "提交订单", "https://oss-cool.coolstore.cn/eid/214ac5a3a517472a87268e02a2e6410a/2508/j_l6em.jpg", MatterTypeEnum.LOGISTICS),
    ASSIGNED_PICKING(5, "已分配拣货", "https://oss-cool.coolstore.cn/eid/214ac5a3a517472a87268e02a2e6410a/2508/YLjBkv.jpg", MatterTypeEnum.LOGISTICS),
    PICKING_COMPLETED(10, "拣货完成", "https://oss-cool.coolstore.cn/eid/214ac5a3a517472a87268e02a2e6410a/2508/gG9Y-h.jpg", MatterTypeEnum.LOGISTICS),
    SHIPPED(15, "已出库", "https://oss-cool.coolstore.cn/eid/214ac5a3a517472a87268e02a2e6410a/2508/Ehz8_n.jpg", MatterTypeEnum.LOGISTICS),
    DELIVERY_IN_PROGRESS(20, "配送中", "https://oss-cool.coolstore.cn/eid/214ac5a3a517472a87268e02a2e6410a/2508/I6bAmA.jpg", MatterTypeEnum.LOGISTICS),
    ORDER_SIGNING_AND_ACCEPTANCE(25, "订单签收", "https://oss-cool.coolstore.cn/eid/214ac5a3a517472a87268e02a2e6410a/2508/0z7jkU.jpg", MatterTypeEnum.LOGISTICS),

    SERVICE_PACKAGE(30, "服务包", "", MatterTypeEnum.LOGISTICS),
    RESTOCK(35, "补货", "", MatterTypeEnum.LOGISTICS),
    INVENTORY(40, "盘点", "", MatterTypeEnum.LOGISTICS),

    REALTIME(45, "即时消息", "", MatterTypeEnum.REALTIME),
    ;

    private Integer sceneCode;

    private String sceneName;

    private String scenePicture;

    private MatterTypeEnum matterTypeEnum;


    public Integer getSceneCode() {
        return sceneCode;
    }

    public void setSceneCode(Integer sceneCode) {
        this.sceneCode = sceneCode;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    public String getScenePicture() {
        return scenePicture;
    }

    public void setScenePicture(String scenePicture) {
        this.scenePicture = scenePicture;
    }

    public MatterTypeEnum getMatterTypeEnum() {
        return matterTypeEnum;
    }

    public void setMatterTypeEnum(MatterTypeEnum matterTypeEnum) {
        this.matterTypeEnum = matterTypeEnum;
    }

    SceneEnum(Integer sceneCode, String sceneName, String scenePicture, MatterTypeEnum matterTypeEnum) {
        this.sceneCode = sceneCode;
        this.sceneName = sceneName;
        this.scenePicture = scenePicture;
        this.matterTypeEnum = matterTypeEnum;
    }

    /**
     * 通过code获取枚举
     * @param code
     * @return
     */
    public static SceneEnum getByCode(Integer code) {
        for (SceneEnum value : values()) {
            if (value.sceneCode.equals(code)) {
                return value;
            }
        }
        return null;
    }

}
